#version 330

layout(std140) uniform GlobalMatrices
{
	uniform mat4 perspectiveViewMatrix;
	uniform vec2 windowDimensions;
};

out vec4 outputColor;

in vec3 dist;
uniform vec4 wireColor = vec4(0.0,1.0,0.0,1);
const vec4 FILL_COL = vec4(0,0,0,1);

void main(void)
{
	float d = min(dist[0],min(dist[1],dist[2]));
 	float I = exp2(-2*d*d);
	I *=4;
 	outputColor = I*wireColor + (1.0 - I)*FILL_COL;
}
