#version 330

layout(std140) uniform GlobalMatrices
{
	uniform mat4 perspectiveViewMatrix;
	uniform vec2 windowDimensions;
};

out vec4 outputColor;
in vec2 TexCoord;
in float agef;

void main(void)
{
	if(length(2*TexCoord-vec2(1)) > 1) discard;
 	outputColor = vec4(1.0, TexCoord.x, TexCoord.y, max(0,1-(length(2*TexCoord-vec2(1)))));
}
